Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029266
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementmajoralways2015-03-12 17:472015-06-04 14:27
ReportermaiteView Statuspublic 
Assigned Tofsoto82 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision5c4aedbd69e6
ProjectionnoneETAnoneTarget Version3.0PR15Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toeduardo_Argal
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029266: It is necessary to be able to post Purchase Invoices of zero amount, but with tax amount

DescriptionIt is necessary to be able to post Purchase Invoices of zero amount, but with tax amount
Steps To Reproduce1. Register new Purchase Invoice for any Org and BP.
2. Access Tax tab and manually add one register pointing to "Importaciones 21%" and tax amount=50
3. Create new register in Tax tab pointing "Importaciones 21% 0%" and tax amount=-50
4. Process invoice and realize that you are not able to post it as total amount is zero.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0076011)
fsoto82 (developer)
2015-03-26 15:02
edited on: 2017-05-29 13:11

1. Register new Purchase Invoice for any Org and BP.
2. Access Tax tab and manually add one register pointing to "Importaciones 21%" and tax amount=50
3. Create new register in Tax tab pointing "Importaciones 21% 0%" and tax amount=-50
4. Now you can Process invoice and posting looks like:

50.00 (tax account) DEBIT
50.00 (tax account) CREDIT

(0076974)
hgbot (developer)
2015-05-04 19:23

Repository: erp/devel/pi
Changeset: 4e28ab0b4342f06ed1702d30933eb98b5a7ce239
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Mon May 04 19:10:32 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/4e28ab0b4342f06ed1702d30933eb98b5a7ce239 [^]

Related to issue 29266: Can't post Purchase Invoice of zero amount, but with tax amount
Adds a test case to ensure no regressions. Changes C_Invoice_Post to avoid wrong message in this scenario

---
M referencedata/sampledata/QA_Testing/C_INVOICE.xml
M referencedata/sampledata/QA_Testing/C_INVOICETAX.xml
M referencedata/sampledata/QA_Testing/FACT_ACCT.xml
M src-db/database/model/functions/C_INVOICE_POST.xml
M src-test/src/org/openbravo/test/AllAntTaskTests.java
---
(0076975)
hgbot (developer)
2015-05-04 19:23

Repository: erp/devel/pi
Changeset: 5c4aedbd69e6bd2fb952ce77eb97429d92877498
Author: Fernando Soto <fernando.soto <at> peoplewalking.com>
Date: Wed Mar 25 11:23:14 2015 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/5c4aedbd69e6bd2fb952ce77eb97429d92877498 [^]

Fixed bug 29266: Can't post Purchase Invoice of zero amount, but with tax amount

Changed DocInvoice class to check for tax lines amount too.

---
M src/org/openbravo/erpCommon/ad_forms/DocInvoice.java
---
(0076976)
eduardo_Argal (developer)
2015-05-04 19:25

Code Reviewed and tested. Added automated test case
(0076981)
hgbot (developer)
2015-05-05 09:03

Repository: erp/devel/pi
Changeset: 192043ff2f3116bc79d01f07d161630154726d6c
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Tue May 05 09:02:29 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/192043ff2f3116bc79d01f07d161630154726d6c [^]

Related to issue 29266: Backsout previous commit. Missing file. Can't post Purchase Invoice of zero amount, but with tax amount
Adds a test case to ensure no regressions. Changes C_Invoice_Post to avoid wrong message in this scenario

---
M referencedata/sampledata/QA_Testing/C_INVOICE.xml
M referencedata/sampledata/QA_Testing/C_INVOICETAX.xml
M referencedata/sampledata/QA_Testing/FACT_ACCT.xml
M src-db/database/model/functions/C_INVOICE_POST.xml
M src-test/src/org/openbravo/test/AllAntTaskTests.java
---
(0076982)
hgbot (developer)
2015-05-05 09:56

Repository: erp/devel/pi
Changeset: 53bbe0dda5a395dc34ba63a9f74527e0679fe3d7
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Tue May 05 09:55:28 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/53bbe0dda5a395dc34ba63a9f74527e0679fe3d7 [^]

Related to issue 29266: Adds Missing file. Can't post Purchase Invoice of zero amount, but with tax amount
Adds missing file of previous commit

---
M referencedata/sampledata/QA_Testing/C_INVOICE.xml
M referencedata/sampledata/QA_Testing/C_INVOICETAX.xml
M referencedata/sampledata/QA_Testing/FACT_ACCT.xml
M src-db/database/model/functions/C_INVOICE_POST.xml
M src-test/src/org/openbravo/test/AllAntTaskTests.java
A src-test/src/org/openbravo/test/accounting/PostDocumentTest.java
---
(0077204)
hudsonbot (developer)
2015-05-07 22:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a1817f84bd8b [^]
Maturity status: Test
(0077205)
hudsonbot (developer)
2015-05-07 22:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a1817f84bd8b [^]
Maturity status: Test
(0077206)
hudsonbot (developer)
2015-05-07 22:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a1817f84bd8b [^]
Maturity status: Test
(0077207)
hudsonbot (developer)
2015-05-07 22:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a1817f84bd8b [^]
Maturity status: Test
(0078003)
hgbot (developer)
2015-06-02 19:08

Repository: erp/devel/pi
Changeset: 8fff038cc32ee5c5cc5075452fb145267bb3f6f1
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Tue Jun 02 19:07:56 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/8fff038cc32ee5c5cc5075452fb145267bb3f6f1 [^]

Relate to issue 29266. Removes log.info from test

---
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/model/functions/C_ORDER_POST1.xml
M src-db/database/model/triggers/M_TRANSACTION_TRG2.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-test/src/org/openbravo/test/accounting/PostDocumentTest.java
M src/org/openbravo/costing/LandedCostProcess.java
M src/org/openbravo/erpCommon/ad_forms/RequisitionToOrder.java
M src/org/openbravo/event/CharacteristicValueEventHandler.java
M src/org/openbravo/financial/ResetAccounting.java
---
(0078014)
hgbot (developer)
2015-06-03 12:52

Repository: erp/devel/pi
Changeset: 2493e548545e0ed1b229d2835624f8af6717a071
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Wed Jun 03 12:51:51 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/2493e548545e0ed1b229d2835624f8af6717a071 [^]

Relate to issue 29266. Removes log.info from test

---
M src-test/src/org/openbravo/test/accounting/PostDocumentTest.java
---
(0078043)
hudsonbot (developer)
2015-06-03 18:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/084e25f8f2cd [^]
Maturity status: Test
(0078070)
hudsonbot (developer)
2015-06-04 14:27

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c031eb54738d [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-03-12 17:47 maite New Issue
2015-03-12 17:47 maite Assigned To => Sandrahuguet
2015-03-12 17:47 maite Modules => Core
2015-03-12 17:47 maite Triggers an Emergency Pack => No
2015-03-12 17:48 maite Issue Monitored: networkb
2015-03-13 10:36 jonalegriaesarte Target Version 3.0PR15Q2 => 3.0PR15Q3
2015-03-18 16:42 fsoto82 Status new => scheduled
2015-03-18 16:42 fsoto82 Assigned To Sandrahuguet => fsoto82
2015-03-26 15:02 fsoto82 Note Added: 0076011
2015-05-04 19:23 hgbot Checkin
2015-05-04 19:23 hgbot Note Added: 0076974
2015-05-04 19:23 hgbot Checkin
2015-05-04 19:23 hgbot Note Added: 0076975
2015-05-04 19:23 hgbot Status scheduled => resolved
2015-05-04 19:23 hgbot Resolution open => fixed
2015-05-04 19:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5c4aedbd69e6bd2fb952ce77eb97429d92877498 [^]
2015-05-04 19:25 eduardo_Argal Review Assigned To => eduardo_Argal
2015-05-04 19:25 eduardo_Argal Note Added: 0076976
2015-05-04 19:25 eduardo_Argal Status resolved => closed
2015-05-05 09:03 hgbot Checkin
2015-05-05 09:03 hgbot Note Added: 0076981
2015-05-05 09:56 hgbot Checkin
2015-05-05 09:56 hgbot Note Added: 0076982
2015-05-07 22:17 hudsonbot Checkin
2015-05-07 22:17 hudsonbot Note Added: 0077204
2015-05-07 22:17 hudsonbot Checkin
2015-05-07 22:17 hudsonbot Note Added: 0077205
2015-05-07 22:17 hudsonbot Checkin
2015-05-07 22:17 hudsonbot Note Added: 0077206
2015-05-07 22:17 hudsonbot Checkin
2015-05-07 22:17 hudsonbot Note Added: 0077207
2015-06-02 19:08 hgbot Checkin
2015-06-02 19:08 hgbot Note Added: 0078003
2015-06-03 12:52 hgbot Checkin
2015-06-03 12:52 hgbot Note Added: 0078014
2015-06-03 18:55 hudsonbot Checkin
2015-06-03 18:55 hudsonbot Note Added: 0078043
2015-06-04 14:27 hudsonbot Checkin
2015-06-04 14:27 hudsonbot Note Added: 0078070
2017-05-29 13:11 psanjuan Note Edited: 0076011 View Revisions


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker